// Made by Willy, licensed under the Creative Commons - GNU 
// GPL license. 
// Rostock

iu = 2/sqrt(3); // Faktor für $fn=6 cylinder damit Bohrung passt
iu8 = 2*(sqrt(2)-1)/sqrt(2-sqrt(2)); // Faktor für $fn=8 cylinder 

difference() {
 union() {
  linear_extrude(file = "Gelenk_p.dxf", 
   height = 4.4, $fn=60, convexity = 3, center = true);
  // Verstärkung:
  intersection() {
   linear_extrude(file = "Gelenk_p.dxf", 
    height = 14, $fn=60, convexity = 3, center = true);
   translate([0,-8.5, 0]) rotate([0, 0, 45]) cube([36, 36, 14], center=true);
  }
  // Schrauben:
  translate([-40.5, 0, 0]) rotate([90, 0, 90]) 
   cylinder(r=iu*2.5, h=1, center=true, $fn=6);
  translate([ 40.5, 0, 0]) rotate([90, 0, 90]) 
   cylinder(r=iu*2.5, h=1, center=true, $fn=6);
 } // union
 // Verstärkung:
 translate([0, 0, -52.2])
  cube([100, 30, 100], center=true);
 translate([0, 2.7, 7.2])
  cube([100, 2.4, 9.9], center=true);
 translate([0, 7.8, 7.2])
  cube([100, 2.4, 9.9], center=true);
 // Schrauben:
 translate([-35, 0, 0]) rotate([90, 0, 90]) 
  cylinder(r=iu*1.4, h=20, center=true, $fn=6);
 translate([ 35, 0, 0]) rotate([90, 0, 90]) 
  cylinder(r=iu*1.4, h=20, center=true, $fn=6);
 // Lager:
 translate([-25, 0, 0])  
  cylinder(r=3.5, h=10, center=true, $fn=60);
 translate([-25, 0, 0])  
  cylinder(r=3.6, h=2.8, center=true, $fn=40);
 translate([ 25, 0, 0])  
  cylinder(r=3.5, h=10, center=true, $fn=40);
 translate([ 25, 0, 0])  
  cylinder(r=3.6, h=2.8, center=true, $fn=40);
 // weg:
 translate([-44, 0, 3.2])
 cube([10, 4, 2], center=true);
 translate([ 44, 0, 3.2])
 cube([10, 4, 2], center=true);
}

